ATHCTRL(8)

NAME
athctrl - sets the maximum distance between communicating stations

SYNOPSIS
athctrl [-h] [-i device] [-d distance]

DESCRIPTION
athctrl sets the maximum distance in meters of stations with which communication occurs. This distance metric determines how much time the radio waits for an acknowledgment after every transmission and it sets a few other derived timing parameters. This limits the distance between two stations at which the collision avoidance, acknowledgment, retransmission protocols will work correctly.

In particular, when transmitting to too distant stations the radio will start retransmitting packets before an ACK can possibly have been received causing unnecessary retransmissions and collisions. The distance parameter needs to be set properly on all stations that perform long-distance communication irrespective of their mode of operation (master/managed/ad-hoc). For best operation all stations communicating with each other should be set to the same value.

OPTIONS

-i device
    The madwifi device to apply the settings to. If no device is specified, athctrl defaults to wifi0.

-d distance
    Distance in metric meters.

-h  Display usage.

EXAMPLES

athctrl -i wifi1 -d 500
    Set maximum distance of 500m for wifi1.

athctrl 1000
    Set maximum distance of 1000m for wifi0.

SEE ALSO
athchans(8), athkey(8), athstats(8)

AUTHOR
This manual page was written by Kel Modderman <kelrin@tpg.com.au> and was based upon previous text written by Eric S. Raymond and Thorsten von Eicken.